apiVersion: apps/v1
kind: Deployment
metadata:
  name: currencyservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app: currencyservice
  template:
    metadata:
      labels:
        app: currencyservice
    spec:
      containers:
      - name: currencyservice
        image: your-dockerhub-username/currencyservice:latest
        ports:
        - containerPort: 80

---
apiVersion: v1
kind: Service
metadata:
  name: currencyservice
spec:
  selector:
    app: currencyservice
  ports:
  - protocol: TCP
    port: 80
    targetPort: 80
